Debian Bug report logs - #258210
exim4-daemon-heavy: New exiscan-acl patch SPF but what about SRS

version graph

Package: exim4-daemon-heavy; Maintainer for exim4-daemon-heavy is Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>; Source for exim4-daemon-heavy is src:exim4.

Reported by: "Yazz D. Atlas" <yazz@230volts.net>

Date: Thu, 8 Jul 2004 08:03:01 UTC

Severity: wishlist

Tags: wontfix

Merged with 377034

Found in versions 4.34-2, exim4/4.62-2

Fixed in version 4.62-3

Done: Marc Haber <mh+debian-packages@zugschlus.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andreas Metzler <ametzler@debian.org>:
Bug#258210; Package exim4-daemon-heavy. Full text and rfc822 format available.

Acknowledgement sent to "Yazz D. Atlas" <yazz@230volts.net>:
New Bug report received and forwarded. Copy sent to Andreas Metzler <ametzler@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Yazz D. Atlas" <yazz@230volts.net>
To: submit@bugs.debian.org
Subject: exim4-daemon-heavy: New exiscan-acl patch SPF but what about SRS
Date: Thu, 8 Jul 2004 00:55:39 -0700
Package: exim4-daemon-heavy
Version: 4.34-2
Severity: wishlist

Trying to kill two birds with one stone...

http://duncanthrax.net/exiscan-acl/  New version released and the
current release has SPF support builtin. The current package I have
installed reports via "exim -bV" that it is exiscan-acl patch revision
21. However the new patch seems to use an alternative libspf which is
currently not in the Debian testing or unstable trees. Or is it? 

  http://www.libspf2.org/overview.html

So libspf-alt is libspf2 great, I see "libspf2-0" and "libspf2-dev" but I
notice that the packages don't contain spfd, spfquery, spftest. I
believe spfd is at least need for SPF to do the checking. (What do theses
two packages actually do for people in there current state?)

To get two of the three binaries you could install the
"libmail-spf-query-perl". This however doesn't include a README worth
reading (talks about an exim4 example which is not provided). Also it
leave the user to figure how to run spfd. 

 (my basic solution)
 # su  --shell=/bin/bash \
       --command="/usr/sbin/spfd -path=/tmp/spfd &" \
       Debian-exim
 
 
On the other hand the following is not in the current Debian testing or
unstable tree and seems to work nicely and provides the need acl and 
startup script. 

  http://evanjones.ca/software/libspf-alt-debian.html

That I think cover the SPF part. Now to the SRS implementation that is
missing to complete a SPF/SRS setup. 

Again the game begins looking for the right package. The packages
"libsrs2-0" and "libsrs2-dev" don't have binaries so you have to uses
"srs" and "libmail-srs-perl". However once again there is an
alternative, however I was not able it extract the Debian Woody 
"libsrs2-dev_1.0.13-1_i386.deb" since it appears corrupt.

 http://www.libsrs2.org/download.html
 
To use either the perl or C SRS tools however a patch exim4 is needed 
that is provide on the URL listed above.

  Yazz

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-1-686-smp
Locale: LANG=C, LC_CTYPE=C

Versions of packages exim4-daemon-heavy depends on:
ii  exim4-base                  4.34-2       EXperimental Internal Mailer -- a 
ii  libc6                       2.3.2.ds1-13 GNU C Library: Shared libraries an
ii  libdb3                      3.2.9-20     Berkeley v3 Database Libraries [ru
ii  libgnutls10                 1.0.4-3      GNU TLS library - runtime library
ii  libldap2                    2.1.30-1     OpenLDAP libraries
ii  libmysqlclient10            3.23.56-2    LGPL-licensed client library for M
ii  libpam0g                    0.76-22      Pluggable Authentication Modules l
ii  libpcre3                    4.5-1.1      Perl 5 Compatible Regular Expressi
ii  libperl5.8                  5.8.4-2      Shared Perl library.
ii  libpq3                      7.4.3-2      Shared library libpq.so.3 for Post

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Metzler <ametzler@debian.org>:
Bug#258210; Package exim4-daemon-heavy. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Andreas Metzler <ametzler@debian.org>. Full text and rfc822 format available.

Message #10 received at 258210@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: "Yazz D. Atlas" <yazz@230volts.net>, 258210@bugs.debian.org
Subject: Re: Bug#258210: exim4-daemon-heavy: New exiscan-acl patch SPF but what about SRS
Date: Thu, 8 Jul 2004 11:48:42 +0200
On 2004-07-08 "Yazz D. Atlas" <yazz@230volts.net> wrote:
> Package: exim4-daemon-heavy
> Version: 4.34-2
> Severity: wishlist
> 
> Trying to kill two birds with one stone...
> 
> http://duncanthrax.net/exiscan-acl/  New version released and the
> current release has SPF support builtin. The current package I have
> installed reports via "exim -bV" that it is exiscan-acl patch revision
> 21. However the new patch seems to use an alternative libspf which is
> currently not in the Debian testing or unstable trees. Or is it? 
 
Hello,
Both libspf2 (formerly known as libspf_alt) and libsrs2 have been
accepted into Debian yesterday
http://packages.qa.debian.org/libs/libspf2.html
http://packages.qa.debian.org/libs/libsrs2.html

>   http://www.libspf2.org/overview.html
> 
> So libspf-alt is libspf2 great, I see "libspf2-0" and "libspf2-dev" but I
> notice that the packages don't contain spfd, spfquery, spftest. I
> believe spfd is at least need for SPF to do the checking.
[...]

No, it is not needed *if* you link exim4 against libspf2, using
exiscan-acl. (Which I do not intend to do for the official Debian
packages, see below.)
 
> To get two of the three binaries you could install the
> "libmail-spf-query-perl". This however doesn't include a README worth
> reading (talks about an exim4 example which is not provided). Also it
> leave the user to figure how to run spfd. 
> 
>  (my basic solution)
>  # su  --shell=/bin/bash \
>        --command="/usr/sbin/spfd -path=/tmp/spfd &" \
>        Debian-exim

Missing spfd in libspf2 and missing init-script for the spfd in
libmail-spf-query-perl are missing features in these packages, nothing
I can do about that.

[...] 
> That I think cover the SPF part. Now to the SRS implementation that is
> missing to complete a SPF/SRS setup. 
> 
> Again the game begins looking for the right package. The packages
> "libsrs2-0" and "libsrs2-dev" don't have binaries

They are intended to be used for linking a patched version of exim
against it. http://www.libsrs2.org/download.html

> so you have to uses
> "srs" and "libmail-srs-perl". However once again there is an
> alternative, however I was not able it extract the Debian Woody 
> "libsrs2-dev_1.0.13-1_i386.deb" since it appears corrupt.
> 
>  http://www.libsrs2.org/download.html
>  
> To use either the perl or C SRS tools however a patch exim4 is needed 
> that is provide on the URL listed above.
 
-----------------------
Now to the main point: Why won't I link exim against libspf?

* SPF imho has not reached the necessary amount of
standardization an acceptance for inclusion in a Debian/stable
release, it is still in flux.

* I do not want to drag in another library dependency.

* Checking with spfd http://packages.debian.org/libmail-spf-query-perl
instead of exiscan's spf-condition offers the same functionality,
afaict.

* spamassassin 3.0 will include SPF support, too.

* I do not want to encourage SPF because I am not convinced of its
benefits. (Discussion and links on benefits and downsides of SPF are
not listed here intentionally.)

-----------------------
And what about SRS?

Everything listed above for libspf applies to libsrs, too. There are
other difficulties stacked on top of these:

* It requires an external patch, that is not submitted or scheduled
  for inclusion in exim.

* SRS complicates things a lot. The basic example configuration
  together with SRS patch takes care of classic ~/.forward, but
  redirect is not the only router that might be used for forwarding.
  e.g. the queryprogram router or just normal address rewriting might
  also require SRS.
-----------------------
                cu andreas

-- 
"See, I told you they'd listen to Reason," [SPOILER] Svfurlr fnlf,
fuhggvat qbja gur juveyvat tha.
Neal Stephenson in "Snow Crash"



Tags added: wontfix Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>:
Bug#258210; Package exim4-daemon-heavy. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to maintainer. Copy sent to Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 258210-maintonly@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 258210-maintonly@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#258210: exim4-daemon-heavy: New exiscan-acl patch SPF but what about SRS
Date: Sun, 6 Feb 2005 16:43:40 +0100
tags #258210 wontfix
thanks



Information stored:
Bug#258210; Package exim4-daemon-heavy. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #22 received at 258210-quiet@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 258210-quiet@bugs.debian.org, 290464-quiet@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#258210: exim4-daemon-heavy: New exiscan-acl patch SPF but what about SRS
Date: Fri, 6 Jan 2006 19:41:09 +0100
user exim4@packages.debian.org
usertags #258210 spf-wanted
usertags #290464 spf-wanted
thanks

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Merged 258210 377034. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Yazz D. Atlas" <yazz@230volts.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 258210-done@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 377034-done@bugs.debian.org, 377034-submitter@bugs.debian.org, 258210-done@bugs.debian.org, 258210-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#377034: Please build with libspf2
Date: Tue, 1 Aug 2006 09:55:14 +0200
Version: 4.62-3

Starting with 4.62-3, the default configuration includes options to
enable SPF. We didn't do it with libspf and exiscan's spf option
though for various reasons.

If you feel that we shold do it with libspf and exiscan, please
re-open this bug, but expect us to tag it wontfix.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alexander Vlasov <zulu@gala.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message sent on to "Yazz D. Atlas" <yazz@230volts.net>:
Bug#258210. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 13:45:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:49:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.